org.eclipse.microprofile.rest.client.tck.providers

## Class BeanParamFilter

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.BeanParamFilter

All Implemented Interfaces:
  javax.ws.rs.client.ClientRequestFilter

    public class BeanParamFilter
    extends Object
    implements javax.ws.rs.client.ClientRequestFilter

### Constructor Summary

Constructors
Constructor and Description
`BeanParamFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filter(javax.ws.rs.client.ClientRequestContext clientRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanParamFilter

    public BeanParamFilter()

### Method Detail

#### filter

    public void filter(javax.ws.rs.client.ClientRequestContext clientRequestContext)
                throws IOException

Specified by:
  `filter` in interface `javax.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`